local fn = _gn(0xCA78CFA0366592FE)
--- Displays the text input box with support for input with 500 characters.
-- @param keyboardType See [`DISPLAY_ONSCREEN_KEYBOARD`](#\_0x00DC833F2568DBF6)
-- @param windowTitle Text label of the window title.
-- @param description Unused on PC.
-- @param defaultText Default text that is written in the input field.
-- @param maxInputLength Value between 2 - 500.
function Global.DisplayOnscreenKeyboard_2(keyboardType, windowTitle, description, defaultText, defaultConcat1, defaultConcat2, defaultConcat3, defaultConcat4, defaultConcat5, defaultConcat6, defaultConcat7, maxInputLength)
	return fn(keyboardType, _ts(windowTitle), _ts(description), _ts(defaultText), _ts(defaultConcat1), _ts(defaultConcat2), _ts(defaultConcat3), _ts(defaultConcat4), _ts(defaultConcat5), _ts(defaultConcat6), _ts(defaultConcat7), maxInputLength)
end
